<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE BREADCRUMB -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="index.html">Home</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>Friends List</span>
                </li>
            </ul>
            <div class="page-toolbar">
                
            </div>
        </div>
        <!-- END PAGE BREADCRUMB -->
        <!-- BEGIN PAGE BASE CONTENT -->
      <div class="row">
        <div class="col-md-9">
          <div class="portlet light bordered">
              <div class="portlet-title tabbable-line">
                  <div class="caption">
                      <i class="icon-list font-green-sharp"></i>
                      <span class="caption-subject font-green-sharp bold uppercase">Friends list</span>
                  </div>
                  <ul class="nav nav-tabs">
                      <li id="liall" class="active">
                            <a href="#tab_actions_all" data-toggle="tab" (click)="OnliClick('liall')"> All Friend List
                                <span class="badge badge-success">{{ this.FriendsCount }}</span>
                            </a>
                      </li>
                      <li id="lireq">
                        <a href="#tab_actions_freq" data-toggle="tab" (click)="OnliClick('lireq')"> Friend Request 
                                <span class="badge badge-danger">{{ this.FriendRequestCount }}</span>
                        </a>
                      </li>
                  </ul>
              </div>
              <div class="portlet-body">
                  <div class="col-md-12">
                      <div class="inbox-body">
                          <div class="inbox-header">
                              <form class="form-inline pull-right" action="index.html">
                                  <div class="input-group input-medium">
                                      <input type="text" class="form-control" placeholder="Search for your friends" name="search" 
                                      [(ngModel)]="this.friendInfo.search" (change)="OnSearchFriends()">
                                      <span class="input-group-btn">
                                          <button type="submit" class="btn green" (click)="OnSearchFriends()">
                                              <i class="fa fa-search"></i>
                                          </button>
                                      </span>
                                  </div>
                              </form>
                          </div>
                      </div>
                  </div>
                  
                  <div class="inbox-content" style="padding-top: 50px;">
                      <div class="tab-content">
                          <div class="tab-pane active" id="tab_actions_all">
                              <!-- BEGIN: Actions -->
                              <div class="mt-actions">
                                  <friend  [MemberId]="item.mid" [MIdIndex]="i" [displayName]="item.displayName" [imgPath]="item.imgPath" 
                                  [location]="item.location" [email]="item.email" [friendsCount]="item.friendsCount" [since]="item.since"
                                  *ngFor="let item of filterFriendList(); let i = index" [Parent]="this"></friend>
                                  <ng-template confirm>
                                        <confirm-modal-component></confirm-modal-component>
                                  </ng-template>
                                  <popover></popover>
                              </div>
                              <!-- END: Actions -->
                          </div>
                        <div class="tab-pane" id="tab_actions_freq">
                                <!-- BEGIN:Completed-->
                                <div class="mt-actions">
                                    <friendrequest  [MemberId]="item.mid" [MIdIndex]="i" [displayName]="item.displayName" [imgPath]="item.imgPath" 
                                    [location]="item.location" [email]="item.email" [friendRequestCount]="item.friendsCount" 
                                    *ngFor="let item of filterFriendRequestList(); let i = index" [Parent]="this"></friendrequest>

                                    <!-- <div class="mt-action">
                                        <div class="mt-action-img">
                                            <img src="../assets/pages/media/users/avatar1.jpg" /> </div>
                                        <div class="mt-action-body">
                                            <div class="mt-action-row">
                                                <div class="mt-action-info ">
                                                    <div class="mt-action-icon ">
                                                        <i class="icon-action-redo"></i>
                                                    </div>
                                                    <div class="mt-action-details ">
                                                        <span class="mt-action-author">Ashok Paul</span>
                                                        <p class="mt-action-desc">Lorem Ipsum is simply dummy</p>
                                                    </div>
                                                </div>
                                                <div class="mt-action-datetime ">
                                                    <span class="mt-action-date">3 jun</span>
                                                    <span class="mt-action-dot bg-red"></span>
                                                    <span class="mt=action-time">9:30-13:00</span>
                                                </div>
                                                <div class="mt-action-buttons ">
                                                    <div class="btn-group btn-group-circle">
                                                        <button type="button" class="btn btn-outline green btn-sm">Appove</button>
                                                        <button type="button" class="btn btn-outline red btn-sm">Reject</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mt-action">
                                        <div class="mt-action-img">
                                            <img src="../assets/pages/media/users/avatar8.jpg" /> </div>
                                        <div class="mt-action-body">
                                            <div class="mt-action-row">
                                                <div class="mt-action-info ">
                                                    <div class="mt-action-icon ">
                                                        <i class="icon-cup"></i>
                                                    </div>
                                                    <div class="mt-action-details ">
                                                        <span class="mt-action-author">Amsamani Davidson </span>
                                                        <p class="mt-action-desc">Text of the printing and typesetting industry</p>
                                                    </div>
                                                </div>
                                                <div class="mt-action-datetime ">
                                                    <span class="mt-action-date">3 jun</span>
                                                    <span class="mt-action-dot bg-green"></span>
                                                    <span class="mt=action-time">9:30-13:00</span>
                                                </div>
                                                <div class="mt-action-buttons">
                                                    <div class="btn-group btn-group-circle">
                                                        <button type="button" class="btn btn-outline green btn-sm">Appove</button>
                                                        <button type="button" class="btn btn-outline red btn-sm">Reject</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mt-action">
                                        <div class="mt-action-img">
                                            <img src="../assets/pages/media/users/avatar5.jpg" /> </div>
                                        <div class="mt-action-body">
                                            <div class="mt-action-row">
                                                <div class="mt-action-info ">
                                                    <div class="mt-action-icon ">
                                                        <i class=" icon-graduation"></i>
                                                    </div>
                                                    <div class="mt-action-details ">
                                                        <span class="mt-action-author">sudharsan Dickens </span>
                                                        <p class="mt-action-desc">Dummy text of the printing and typesetting industry</p>
                                                    </div>
                                                </div>
                                                <div class="mt-action-datetime ">
                                                    <span class="mt-action-date">3 jun</span>
                                                    <span class="mt-action-dot bg-red"></span>
                                                    <span class="mt=action-time">9:30-13:00</span>
                                                </div>
                                                <div class="mt-action-buttons ">
                                                    <div class="btn-group btn-group-circle">
                                                        <button type="button" class="btn btn-outline green btn-sm">Appove</button>
                                                        <button type="button" class="btn btn-outline red btn-sm">Reject</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mt-action">
                                        <div class="mt-action-img">
                                            <img src="../assets/pages/media/users/avatar2.jpg" /> </div>
                                        <div class="mt-action-body">
                                            <div class="mt-action-row">
                                                <div class="mt-action-info ">
                                                    <div class="mt-action-icon ">
                                                        <i class="icon-badge"></i>
                                                    </div>
                                                    <div class="mt-action-details ">
                                                        <span class="mt-action-author">Prabhu Kim</span>
                                                        <p class="mt-action-desc">Lorem Ipsum is simply dummy</p>
                                                    </div>
                                                </div>
                                                <div class="mt-action-datetime ">
                                                    <span class="mt-action-date">3 jun</span>
                                                    <span class="mt-action-dot bg-green"></span>
                                                    <span class="mt=action-time">9:30-13:00</span>
                                                </div>
                                                <div class="mt-action-buttons ">
                                                    <div class="btn-group btn-group-circle">
                                                        <button type="button" class="btn btn-outline green btn-sm">Appove</button>
                                                        <button type="button" class="btn btn-outline red btn-sm">Reject</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mt-action">
                                    <div class="mt-action-img">
                                        <img src="../assets/pages/media/users/avatar4.jpg" /> </div>
                                    <div class="mt-action-body">
                                        <div class="mt-action-row">
                                            <div class="mt-action-info ">
                                                <div class="mt-action-icon ">
                                                    <i class="icon-badge"></i>
                                                </div>
                                                <div class="mt-action-details ">
                                                    <span class="mt-action-author">Sridevi S</span>
                                                    <p class="mt-action-desc">Lorem Ipsum is simply dummy</p>
                                                </div>
                                            </div>
                                            <div class="mt-action-datetime ">
                                                <span class="mt-action-date">3 jun</span>
                                                <span class="mt-action-dot bg-green"></span>
                                                <span class="mt=action-time">9:30-13:00</span>
                                            </div>
                                            <div class="mt-action-buttons ">
                                                <div class="btn-group btn-group-circle">
                                                    <button type="button" class="btn btn-outline green btn-sm">Appove</button>
                                                    <button type="button" class="btn btn-outline red btn-sm">Reject</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div> -->
                                    <!-- END: Completed -->
                                </div>
                            </div>


                      </div>
                  </div>
                  
              </div>
          </div>
      </div>
          
      </div>
      <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>